curl --request GET \
--url https://api.shelv.dev/v1/shelves \
--header 'Authorization: Bearer <token>'{
"data": [
{
"auditFindings": [
{
"check": "naming",
"message": "<string>",
"severity": "error",
"code": "<string>",
"file": "<string>",
"sourceRef": "<string>"
}
],
"auditStatus": "passed",
"auditSummary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentVersionNumber": 123,
"errorMessage": "<string>",
"failedAtStep": "<string>",
"mimeType": "<string>",
"name": "<string>",
"originalFileName": "<string>",
"pageCount": 123,
"publicId": "<string>",
"quality": {
"fallbackApplied": true,
"granularity": "document",
"mode": "balanced",
"tier": "full"
},
"repairAttempts": 1,
"reviewMode": true,
"status": "uploading",
"storageSizeBytes": 123,
"template": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
],
"pagination": {
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
}
}List all shelves with pagination.
curl --request GET \
--url https://api.shelv.dev/v1/shelves \
--header 'Authorization: Bearer <token>'{
"data": [
{
"auditFindings": [
{
"check": "naming",
"message": "<string>",
"severity": "error",
"code": "<string>",
"file": "<string>",
"sourceRef": "<string>"
}
],
"auditStatus": "passed",
"auditSummary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currentVersionNumber": 123,
"errorMessage": "<string>",
"failedAtStep": "<string>",
"mimeType": "<string>",
"name": "<string>",
"originalFileName": "<string>",
"pageCount": 123,
"publicId": "<string>",
"quality": {
"fallbackApplied": true,
"granularity": "document",
"mode": "balanced",
"tier": "full"
},
"repairAttempts": 1,
"reviewMode": true,
"status": "uploading",
"storageSizeBytes": 123,
"template": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
],
"pagination": {
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.